## wacomtablet 3.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

cmake_policy(SET CMP0048 NEW)
project(wacomtablet VERSION "3.2.0")

set(QT_MIN_VERSION "5.7.0")
find_package(ECM 1.6.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake/modules)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX WACOMTABLET
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/wacomtablet-version.h"
)

find_package(Qt5 REQUIRED COMPONENTS Core Gui Widgets DBus X11Extras Qml)
find_package(KF5 REQUIRED COMPONENTS CoreAddons I18n GlobalAccel Config XmlGui WidgetsAddons WindowSystem Notifications DBusAddons Plasma DocTools)
find_package(XCB REQUIRED COMPONENTS XINPUT)
find_package(X11 REQUIRED)
find_package(XorgWacom REQUIRED)
find_package(LibWacom REQUIRED)

set(USING_X_LIBRARIES XCB::XINPUT ${X11_Xinput_LIB})

if(${LIBWACOM_VERSION} VERSION_LESS "0.29")
    message(STATUS "Button detection with libwacom requires version at least 0.29. Detected version is: " ${LIBWACOM_VERSION})
    add_definitions(-DLIBWACOM_EVDEV_MISSING)
endif()

add_definitions( -DQT_STRICT_ITERATORS )
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions( -DQT_USE_QSTRINGBUILDER )

add_subdirectory( src )
add_subdirectory( data )
add_subdirectory( images )
add_subdirectory( doc )

### Tests
if(BUILD_TESTING)
  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
  add_subdirectory( autotests )
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== autotests/CMakeLists.txt ===
find_package(Qt5Test REQUIRED)
include(ECMMarkAsTest)

include_directories( ${CMAKE_SOURCE_DIR}/src )
include_directories( ${CMAKE_SOURCE_DIR}/src/common )
include_directories( ${CMAKE_SOURCE_DIR}/src/kded )
include_directories( ${CMAKE_SOURCE_DIR}/src/kcmodule )

set(WACOM_COMMON_TEST_LIBS wacom_common Qt5::Test)
set(WACOM_KDED_TEST_LIBS kded_wacomtablet_lib ${kded_wacomtablet_LIBS} Qt5::Test)
set(WACOM_KCM_TEST_LIBS kcm_testlib ${kcm_wacomtablet_LIBS} Qt5::Test)

add_subdirectory(faketablet)

# Add common Tests
add_subdirectory( common/buttonshortcut )
add_subdirectory( common/deviceinformation )
add_subdirectory( common/deviceprofile )
add_subdirectory( common/deviceprofileconfigadaptor )
add_subdirectory( common/deviceproperty )
add_subdirectory( common/enum )
add_subdirectory( common/libwacomdata )
add_subdirectory( common/profilemanager )
add_subdirectory( common/property )
add_subdirectory( common/propertyset )
add_subdirectory( common/screenspace )
add_subdirectory( common/tabletarea )
add_subdirectory( common/tabletinformation )
add_subdirectory( common/tabletprofile )
add_subdirectory( common/tabletprofileconfigadaptor )

# Add kded Tests
add_subdirectory( kded/dbustabletservice )
add_subdirectory( kded/tabletbackend )
add_subdirectory( kded/tabletdatabase )
add_subdirectory( kded/tablethandler )
add_subdirectory( kded/xinputadaptor )
add_subdirectory( kded/xsetwacomadaptor )

# Add kcm tests
add_subdirectory( kcm/styluspage )
add_subdirectory( kcm/tabletpage )

=== images/CMakeLists.txt ===
install( FILES
               bl_1.png
               bl_2.png
               bl_3.png
               bl_4.png
               bl_5.png
               bl_6.png
               bl_7.png
               bl_8.png
               bl_9.png
               bl_11.png
               pen.png
               DESTINATION  ${KDE_INSTALL_DATADIR}/wacomtablet/images )

=== autotests/faketablet/CMakeLists.txt ===
include(CheckTypeSize)
include(CheckIncludeFile)

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    set(CMAKE_EXTRA_INCLUDE_FILES "linux/uinput.h")
elseif(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    set(CMAKE_EXTRA_INCLUDE_FILES "dev/evdev/uinput.h")
endif()

check_type_size("struct uinput_setup" STRUCT_UINPUT_SETUP)
set(CMAKE_EXTRA_INCLUDE_FILES)

if(HAVE_STRUCT_UINPUT_SETUP)
    add_executable(faketablet faketablet.cpp)
else()
    message(STATUS "No suitable uinput API, fake tablet is disabled")
endif()

add_executable(setmapping setmapping.cpp)
target_link_libraries(setmapping ${WACOM_KDED_TEST_LIBS})

=== src/common/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"wacomtablet\")

set(wacom_common_LIBS
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  Qt5::X11Extras
  KF5::I18n
  KF5::GlobalAccel
  KF5::ConfigCore
  KF5::CoreAddons
  ${USING_X_LIBRARIES}
  ${LIBWACOM_LIBRARIES}
)

set(wacom_common_SRC
    aboutdata.cpp
    buttonshortcut.cpp
    dbustabletinterface.cpp
    deviceinformation.cpp
    deviceprofile.cpp
    deviceprofileconfigadaptor.cpp
    deviceprofiledefaults.cpp
    deviceproperty.cpp
    devicetype.cpp
    libwacomwrapper.cpp
    mainconfig.cpp
    profilemanager.cpp
    profilemanagement.cpp
    property.cpp
    propertyadaptor.cpp
    screenrotation.cpp
    screenmap.cpp
    screensinfo.cpp
    screenspace.cpp
    stringutils.cpp
    tabletarea.cpp
    tabletdatabase.cpp
    tabletinfo.cpp
    tabletinformation.cpp
    tabletprofile.cpp
    tabletprofileconfigadaptor.cpp
    x11input.cpp
    x11inputdevice.cpp
    x11wacom.cpp
)

ecm_qt_declare_logging_category(
    wacom_common_SRC
    HEADER "logging.h"
    IDENTIFIER "COMMON"
    CATEGORY_NAME "org.kde.wacomtablet.common")

qt5_add_dbus_interfaces(wacom_common_SRC
                        ../kded/org.kde.Wacom.xml)

add_library( wacom_common STATIC ${wacom_common_SRC})

target_include_directories(wacom_common PUBLIC ${LIBWACOM_INCLUDE_DIRS})
target_link_libraries( wacom_common ${wacom_common_LIBS} )
set_target_properties( wacom_common PROPERTIES COMPILE_FLAGS "-fPIC" )

=== src/kded/CMakeLists.txt ===

## libraries
set(kded_wacomtablet_LIBS
   wacom_common
   KF5::CoreAddons
   KF5::Notifications
   KF5::XmlGui
   KF5::DBusAddons
   KF5::ConfigCore
   ${USING_X_LIBRARIES}
   ${LIBWACOM_LIBRARIES}
)

## sources

# this file contains plugin definition and does not belong in kded_wacomtablet_lib
# don't forget to add extra kcoreaddons_desktop_to_json for it if you wan to include it
set(kded_wacomtablet_PLUGIN_SRC
    tabletdaemon.cpp
)

set(kded_wacomtablet_SRCS
    dbustabletservice.cpp
    eventnotifier.cpp
    procsystemadaptor.cpp
    procsystemproperty.cpp
    tabletbackend.cpp
    tabletbackendfactory.cpp
    tabletfinder.cpp
    tablethandler.cpp
    x11eventnotifier.cpp
    x11tabletfinder.cpp
    xinputadaptor.cpp
    xinputproperty.cpp
    xsetwacomadaptor.cpp
    xsetwacomproperty.cpp
    ../common/globalactions.cpp
)

ecm_qt_declare_logging_category(
    kded_wacomtablet_SRCS
    HEADER "logging.h"
    IDENTIFIER "KDED"
    CATEGORY_NAME "org.kde.wacomtablet.kded")

## dbus interfaces
qt5_add_dbus_adaptor(kded_wacomtablet_SRCS org.kde.Wacom.xml dbustabletservice.h Wacom::DBusTabletService)

## build KDE daemon module
add_definitions(-DTRANSLATION_DOMAIN=\"wacomtablet\")
add_library(kded_wacomtablet MODULE ${kded_wacomtablet_PLUGIN_SRC} ${kded_wacomtablet_SRCS})
target_link_libraries( kded_wacomtablet ${kded_wacomtablet_LIBS} )

set_target_properties(kded_wacomtablet PROPERTIES OUTPUT_NAME wacomtablet)

## files to install
kcoreaddons_desktop_to_json(kded_wacomtablet wacomtablet.desktop)

install(TARGETS kded_wacomtablet DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)
install(FILES wacomtablet.notifyrc DESTINATION "${KNOTIFYRC_INSTALL_DIR}")
install(FILES org.kde.Wacom.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES wacomtablet.categories DESTINATION ${KDE_INSTALL_CONFDIR})

## LIBRARY FOR UNIT TESTS
if (BUILD_TESTING)
    ## build static library for unit testing
    add_library( kded_wacomtablet_lib STATIC ${kded_wacomtablet_SRCS} )
    target_link_libraries( kded_wacomtablet_lib ${kded_wacomtablet_LIBS} )
    set_target_properties( kded_wacomtablet_lib PROPERTIES COMPILE_FLAGS "-fPIC" )

endif (BUILD_TESTING)

=== src/tabletfinder/CMakeLists.txt ===

set( tabletfinder_SRCS
     main.cpp
     dialog.cpp
     hwbuttondialog.cpp
)

ki18n_wrap_ui( tabletfinder_SRCS
                   dialog.ui
                   hwbuttondialog.ui
)

add_executable(kde_wacom_tabletfinder ${tabletfinder_SRCS})

target_link_libraries( kde_wacom_tabletfinder
                       wacom_common
)

install(TARGETS kde_wacom_tabletfinder DESTINATION ${KDE_INSTALL_BINDIR} )
install( FILES kde_wacom_tabletfinder.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )

=== autotests/kded/tabletbackend/CMakeLists.txt ===
add_executable(Test.KDED.TabletBackend testtabletbackend.cpp ../kdedtestutils.cpp)
add_test(NAME Test.KDED.TabletBackend COMMAND Test.KDED.TabletBackend)
ecm_mark_as_test(Test.KDED.TabletBackend)
target_link_libraries(Test.KDED.TabletBackend ${WACOM_KDED_TEST_LIBS})

=== autotests/kded/tablethandler/CMakeLists.txt ===
add_executable(Test.KDED.TabletHandler testtablethandler.cpp ../kdedtestutils.cpp ../tabletbackendmock.cpp)
add_test(NAME Test.KDED.TabletHandler COMMAND Test.KDED.TabletHandler)
ecm_mark_as_test(Test.KDED.TabletHandler)
target_link_libraries(Test.KDED.TabletHandler ${WACOM_KDED_TEST_LIBS})

configure_file(testtablethandler.configrc ${CMAKE_CURRENT_BINARY_DIR}/testtablethandler.configrc COPYONLY)
configure_file(testtablethandler.profilesrc ${CMAKE_CURRENT_BINARY_DIR}/testtablethandler.profilesrc COPYONLY)

=== debian/changelog ===
wacomtablet (3.2.0-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:35 +0100

wacomtablet (3.2.0-3) unstable; urgency=medium

  * Team upload.
  * Restore running the unit tests at build time, as autopkgtest is not a
    replacement for this.
  * Add the libxcb-xfixes0-dev build dependency, as apparently libxcb-xinput-dev
    does not pull it automatically (while using its headers).
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Remove gbp.conf, as the packaging repository does not use git buildpackage.
  * Do not explicitly specify --buildsystem=cmake to dh, as cmake is the only
    build system available.
  * Stop passing --fail-missing to dh_missing, as everything is already
    installed in the only binary package (kde-config-tablet) of this source.
  * Improve salsa CI configuration to run more standard checks.
  * Stop using the non-existing ${shlibs:Recommends} substvar.
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 31 Dec 2019 16:41:57 +0100

wacomtablet (3.2.0-2) unstable; urgency=medium

  * Remove duplicate test override out of rules because
    they are already run in autopkgtest. Replace the command
    in the autopackage test with the one from rules to fix the
    failing test could not connect to display error.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Sat, 10 Aug 2019 15:06:32 -0700

wacomtablet (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update my email.
  * Bump compat to 12.
  * Remove spelling error patch applied upstream.
  * Remove gcc9 ftbfs patch applied upstream.
  * Bump standards version to 4.4.0; no changes needed.
  * Add upstream metadata file.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Tue, 06 Aug 2019 15:27:11 -0700

wacomtablet (3.1.1-2) unstable; urgency=medium

  * Team upload, with permission from two Uploaders.
  * Backport upstream patch to fix FTBFS with GCC 9 (closes: #925855).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jul 2019 16:51:24 +0300

=== debian/control ===
Source: wacomtablet
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <debian@pusling.com>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: cmake,
               dbus,
               debhelper (>= 12),
               extra-cmake-modules,
               gettext,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5globalaccel-dev,
               libkf5i18n-dev,
               libkf5notifications-dev,
               libkf5plasma-dev,
               libkf5xmlgui-dev,
               libqt5x11extras5-dev,
               libwacom-dev,
               libxcb-xfixes0-dev,
               libxcb-xinput-dev,
               libxi-dev,
               libxrandr-dev,
               pkg-config,
               qtdeclarative5-dev,
               xauth,
               xserver-xorg-input-wacom,
               xvfb,
Standards-Version: 4.4.1
Homepage: http://projects.kde.org/projects/extragear/base/wacomtablet
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/wacomtablet
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/wacomtablet.git

Package: kde-config-tablet
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         xserver-xorg-input-wacom,
         ${misc:Depends},
         ${shlibs:Depends},
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE Wacom tablet KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL
 configuration.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_test:
	xvfb-run -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" -a dbus-run-session dh_auto_test

## wacomtablet 6.1.5

=== debian/changelog ===
wacomtablet (6.1.5-0ubuntu3) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 18:02:03 +0100

wacomtablet (6.1.5-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:08:02 +0100

wacomtablet (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:02:36 +0100

wacomtablet (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:45:02 +0100

wacomtablet (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:22 +0200

wacomtablet (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update d/watch as the package is now part of Plasma.
  * Update upstream signing-key.
  * Set the Maintainers-field to Debian Qt/KDE Maintainers and remove
    inactive maintainers. Thank you for your work.
  * Remove redundant patches.
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update Homepage and Vcs-fields.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Jun 2024 12:03:20 +0200

wacomtablet (3.2.0-5) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 2dcb1d407d5d019802161e04760e6af41d4fabce to fix
    the build with GCC 13; patch upstream_Add-missing-include.patch.
    (Closes: #1037889)
  * Update standards version to 4.6.2, no changes needed.
  * Mark the dbus, xauth, and xvfb build dependencies as !nocheck, as they are
    needed only during dh_auto_test.
  * Remove inactive Uploaders.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Jul 2023 07:37:39 +0200

wacomtablet (3.2.0-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Pino Toscano ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Backport upstream commit 7c8e1de0c240d6c6ff1a6946d0fabd524a0e8a7e to fix
    build with Qt 5.15; patch upstream_Fix-build-with-Qt-5.15.patch.
    (Closes: #975152)
  * Add Rules-Requires-Root: no.
  * Update the references to the upstream Git repository.
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Nov 2020 14:04:29 +0100

=== debian/control ===
Source: wacomtablet
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               libkf6config-dev,
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6doctools-dev (>= 6.2.0~),
               libkf6globalaccel-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libkf6xmlgui-dev (>= 6.2.0~),
               libplasma-dev (>= 6.1.5~),
               libplasma5support-dev (>= 6.1.5~),
               libwacom-dev,
               libx11-dev,
               libxcb-xfixes0-dev,
               libxcb-xinput-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxrandr-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               xauth <!nocheck>,
               xserver-xorg-input-wacom,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/plasma/wacomtablet
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/wacomtablet
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/wacomtablet

Package: kde-config-tablet
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         xserver-xorg-input-wacom,
         ${misc:Depends},
         ${shlibs:Depends},
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE Wacom tablet KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL
 configuration.

## wacomtablet 6.2.5

=== debian/changelog ===
wacomtablet (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:24:12 +0100

wacomtablet (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:39:07 +0100

wacomtablet (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:37 +0100

wacomtablet (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 21:25:38 +0200

wacomtablet (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.
  * Tighten inter-Plasma package dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:51 +0200

wacomtablet (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.
  * Tighten Plasma packages inter-dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:24 +0200

wacomtablet (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.
  * Add dependency on systemsettings, override lintian false positives.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: wacomtablet
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               cmake (>= 3.16~),
                dbus <!nocheck>,
-               debhelper-compat (= 13),
-               dh-sequence-kf6,
-               extra-cmake-modules (>= 6.2.0~),
+               extra-cmake-modules (>= 6.5.0~),
                gettext,
                libkf6config-dev,
                libkf6coreaddons-dev (>= 6.2.0~),
@@ -23,8 +22,8 @@
                libkf6widgetsaddons-dev (>= 6.2.0~),
                libkf6windowsystem-dev (>= 6.2.0~),
                libkf6xmlgui-dev (>= 6.2.0~),
-               libplasma-dev (>= 6.1.5~),
-               libplasma5support-dev (>= 6.1.5~),
+               libplasma-dev (>= 6.2.5~),
+               libplasma5support-dev (>= 6.2.0~),
                libwacom-dev,
                libx11-dev,
                libxcb-xfixes0-dev,
@@ -33,7 +32,7 @@
                libxkbcommon-dev,
                libxrandr-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
                xauth <!nocheck>,
                xserver-xorg-input-wacom,
@@ -41,8 +40,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/plasma/wacomtablet
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/wacomtablet
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/wacomtablet
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/wacomtablet
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/wacomtablet.git
 
 Package: kde-config-tablet
 Architecture: any
@@ -53,6 +52,7 @@
          qml6-module-org-kde-ksvg,
          qml6-module-qtquick,
          qml6-module-qtquick-layouts,
+         systemsettings,
          xserver-xorg-input-wacom,
          ${misc:Depends},
          ${shlibs:Depends},

## wacomtablet 6.2.90

=== debian/changelog ===
wacomtablet (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 08:54:03 +0000

wacomtablet (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:06:23 +0000

wacomtablet (6.2.4-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:26:53 -0600

wacomtablet (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:17:12 +0000

wacomtablet (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 20:01:03 +0000

=== debian/control ===
Source: wacomtablet
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6doctools-dev (>= 6.10.0~),
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkf6xmlgui-dev (>= 6.10.0~),
               libplasma-dev (>= 6.2.90~),
               libplasma5support-dev (>= 6.2.90~),
               libwacom-dev,
               libx11-dev,
               libxcb-xfixes0-dev,
               libxcb-xinput-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxrandr-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0+dfsg~),
               xauth <!nocheck>,
               xserver-xorg-input-wacom,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/plasma/wacomtablet
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/wacomtablet
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/wacomtablet

Package: kde-config-tablet
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         xserver-xorg-input-wacom,
         ${misc:Depends},
         ${shlibs:Depends},
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE Wacom tablet KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL
 configuration.

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh $@
 
 override_dh_auto_test:
-	xvfb-run -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" -a dbus-run-session dh_auto_test
+	-xvfb-run -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" -a dbus-run-session dh_auto_test

## wacomtablet 6.2.91

=== debian/changelog ===
wacomtablet (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:45:54 +0000

wacomtablet (6.2.90-2ubuntu1) plucky; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Kubuntu Vcs and maintainer fields,
    - Bump KF6 build deps to 6.10.0.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Jan 2025 18:45:50 +0000

wacomtablet (6.2.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add provides/modalias to AppStream metadata so Isenkram can detect
    which hardware wacomtablet can manage and advise users of such
    hardware to install it. (Closes: #1077365)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 18:04:57 +0100

wacomtablet (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Build with hardening=+all build hardening flag.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 17 Jan 2025 09:23:47 +0100

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,8 @@
                libkf6widgetsaddons-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
                libkf6xmlgui-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.2.90~),
-               libplasma5support-dev (>= 6.2.90~),
+               libplasma-dev (>= 6.2.91~),
+               libplasma5support-dev (>= 4:6.2.91~),
                libwacom-dev,
                libx11-dev,
                libxcb-xfixes0-dev,
@@ -33,8 +33,8 @@
                libxkbcommon-dev,
                libxrandr-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.6.0+dfsg~),
                xauth <!nocheck>,
                xserver-xorg-input-wacom,
                xvfb <!nocheck>,
@@ -53,6 +53,7 @@
          qml6-module-org-kde-ksvg,
          qml6-module-qtquick,
          qml6-module-qtquick-layouts,
+         systemsettings,
          xserver-xorg-input-wacom,
          ${misc:Depends},
          ${shlibs:Depends},

## wacomtablet 6.3.0

=== data/CMakeLists.txt ===
install( FILES companylist
               aiptek_devicelist
               default_devicelist
               huion_devicelist
               lenovo_devicelist
               ntrig_devicelist
               toshiba_devicelist
               wacom_devicelist
               waltop_devicelist
               toshiba_devicelist
               DESTINATION  ${KDE_INSTALL_DATADIR}/wacomtablet/data )

=== debian/changelog ===
wacomtablet (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:00:58 +0100

wacomtablet (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:54:38 +0100

=== debian/control ===
Source: wacomtablet
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               dbus <!nocheck>,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6config-dev,
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6doctools-dev (>= 6.2.0~),
               libkf6globalaccel-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libkf6xmlgui-dev (>= 6.2.0~),
               libplasma-dev (>= 6.3.0~),
               libplasma5support-dev (>= 4:6.2.90~),
               libwacom-dev,
               libx11-dev,
               libxcb-xfixes0-dev,
               libxcb-xinput-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxrandr-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               xauth <!nocheck>,
               xserver-xorg-input-wacom,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/plasma/wacomtablet
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/wacomtablet
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/wacomtablet.git

Package: kde-config-tablet
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         systemsettings,
         xserver-xorg-input-wacom,
         ${misc:Depends},
         ${shlibs:Depends},
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE Wacom tablet KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL
 configuration.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" -a dbus-run-session dh_auto_test

## wacomtablet 6.3.2

=== debian/changelog ===
wacomtablet (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:54:41 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf6widgetsaddons-dev (>= 6.2.0~),
                libkf6windowsystem-dev (>= 6.2.0~),
                libkf6xmlgui-dev (>= 6.2.0~),
-               libplasma-dev (>= 6.3.0~),
+               libplasma-dev (>= 6.3.2~),
                libplasma5support-dev (>= 4:6.2.90~),
                libwacom-dev,
                libx11-dev,

## wacomtablet 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.3.4")
project(wacomtablet VERSION ${PROJECT_VERSION})

set(PROJECT_DEP_VERSION "6.3.4")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX WACOMTABLET
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/wacomtablet-version.h"
)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets DBus Qml)
find_package(KF6 REQUIRED COMPONENTS CoreAddons I18n GlobalAccel Config XmlGui WidgetsAddons WindowSystem Notifications DBusAddons DocTools KCMUtils KIO)
find_package(XCB REQUIRED COMPONENTS XINPUT)
find_package(X11 REQUIRED)

find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(Plasma5Support REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBWACOM libwacom REQUIRED IMPORTED_TARGET)
pkg_check_modules(XORGWACOM xorg-wacom REQUIRED IMPORTED_TARGET)

if(${LIBWACOM_VERSION} VERSION_LESS "0.29")
    message(STATUS "Button detection with libwacom requires version at least 0.29. Detected version is: " ${LIBWACOM_VERSION})
    add_definitions(-DLIBWACOM_EVDEV_MISSING)
endif()

add_definitions(-DQT_STRICT_ITERATORS)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_USE_QSTRINGBUILDER)

ecm_set_disabled_deprecation_versions(QT 6.7.0
    KF 6.4.0
)

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(images)

ki18n_install(po)
if(KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

### Tests
if(BUILD_TESTING)
  find_package(Qt6Test ${QT_MIN_VERSION} CONFIG REQUIRED)
  add_subdirectory(autotests)
endif()
ecm_qt_install_logging_categories(
        EXPORT WACOMTABLET
        FILE wacomtablet.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/common/profilemanager/CMakeLists.txt ===
add_executable(Test.Common.ProfileManager testprofilemanager.cpp ../commontestutils.cpp)
add_test(NAME Test.Common.ProfileManager COMMAND Test.Common.ProfileManager)
ecm_mark_as_test(Test.Common.ProfileManager)
target_link_libraries(Test.Common.ProfileManager ${WACOM_COMMON_TEST_LIBS})

=== debian/changelog ===
wacomtablet (6.3.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to avoid test failures, thanks to Santiago Vila (Closes:
    #1102124).

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Apr 2025 19:54:19 +0200

wacomtablet (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:02:44 +0200

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
                libkf6widgetsaddons-dev (>= 6.2.0~),
                libkf6windowsystem-dev (>= 6.2.0~),
                libkf6xmlgui-dev (>= 6.2.0~),
-               libplasma-dev (>= 6.3.2~),
-               libplasma5support-dev (>= 4:6.2.90~),
+               libplasma-dev (>= 6.3.4~),
+               libplasma5support-dev (>= 4:6.3.4~),
                libwacom-dev,
                libx11-dev,
                libxcb-xfixes0-dev,
@@ -37,7 +37,7 @@
                xauth <!nocheck>,
                xserver-xorg-input-wacom,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/plasma/wacomtablet
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/wacomtablet

## wacomtablet 6.3.5

=== debian/changelog ===
wacomtablet (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)
  * Refresh appstream-add-provides-modalias.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:37:37 +0100

wacomtablet (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)
  * Refresh appstream-add-provides-modalias.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 09:00:09 +0100

wacomtablet (6.3.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:16 -0500

wacomtablet (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:27:07 +0000

wacomtablet (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on Plasma >= 6.3.2 and KF6 >= 6.10.0
    - Make build time tests non fatal.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Mar 2025 09:08:36 +0000

wacomtablet (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)
  * Disable appstream-add-provides-modalias.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:19:42 +0000

wacomtablet (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)
  * Refresh appstream-add-provides-modalias.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:27:21 +0000

wacomtablet (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)
  * Refresh appstream-add-provides-modalias.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:59:10 +0000

wacomtablet (6.2.91-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:14:15 -0600

=== debian/control ===
Source: wacomtablet
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6doctools-dev (>= 6.10.0~),
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkf6xmlgui-dev (>= 6.10.0~),
               libplasma-dev (>= 6.3.5~),
               libplasma5support-dev (>= 4:6.3.5~),
               libwacom-dev,
               libx11-dev,
               libxcb-xfixes0-dev,
               libxcb-xinput-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxrandr-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               xauth <!nocheck>,
               xserver-xorg-input-wacom,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/plasma/wacomtablet
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/wacomtablet
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/wacomtablet

Package: kde-config-tablet
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         systemsettings,
         xserver-xorg-input-wacom,
         ${misc:Depends},
         ${shlibs:Depends},
Description: implements a KDE configuration GUI for the Wacom drivers
 KDE Wacom tablet KCModule
 .
 This module implements a GUI for the Wacom Linux Drivers and extends it
 with profile support to handle different button / pen layouts per profile.
 .
 For hardware support have a look at http://www.linuxwacom.sourceforge.net
 .
 All tablets can be set up as long as they are found via xorg.conf or HAL
 configuration.
